stages:
  - build

Build package:
  image: archlinux/archlinux:base-devel
  stage: build
  interruptible: true
  tags:
    - saas-linux-2xlarge-amd64
  script:
    - pacman -Syu --noconfirm
    - useradd -m builduser
    - "echo 'builduser ALL=(ALL:ALL) NOPASSWD: ALL' > /etc/sudoers.d/builduser"
    - echo "MAKEFLAGS=\"-j$(nproc)\"" >> /etc/makepkg.conf
    - if ls keys/pgp/*.asc &>/dev/null; then sudo -u builduser gpg --import keys/pgp/*.asc; fi
    - sudo -u builduser makepkg -si --noconfirm
  artifacts:
    paths:
      - "*.pkg.tar.zst"
